# [[file:../monticello-drive.org::*refactor skgen to make the layout easier to make changes to][refactor skgen to make the layout easier to make changes to:1]]
import yaml
import click

@click.command()
@click.argument('points', type=click.File('rb'))
def doit(points):
    """
    Convert the `points.yaml` file at POINTS to
    openscad-compatible point cloud for the atreoid scad generator to
    load.
    """
    doc = yaml.safe_load(points)

    print("array = [")
    for k, d in doc.items():
        print(f"[{d['x']}, {d['y']}, {d['r']}], // {k}")
    print("];")

if __name__  == "__main__":
    doit()
# refactor skgen to make the layout easier to make changes to:1 ends here
